> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get account billing plan

GET https://demo.docusign.net/restapi/v2/accounts/{accountId}/billing_plan

Retrieves the billing plan information for the specified account, including the current billing plan, successor plans, billing address, and billing credit card.

By default the successor plan and credit card information is included in the response. This information can be excluded from the response by adding the appropriate optional query string with the `setting` set to **false**. 

Response

The response returns the billing plan information, including the currency code, for the plan. The `billingPlan` and `succesorPlans` property values are the same as those shown in the [ML:Get Billing Plan Details] reference. the `billingAddress` and `creditCardInformation` property values are the same as those shown in the [ML:Update Billing Plan] reference.

###### Note: When credit card number information is shown, a mask is applied to the response so that only the last 4 digits of the card number are visible. 

Reference: https://developers.docusign.com/docs/esign-rest-api/v2/reference/billing/billingplans/getaccountplan

## Authentication

- `Authorization` header (required) — OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer \<token>.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account id GUID.

### Query parameters

- `include_credit_card_information` (string, optional) — When set to **true**, payment information including credit card information will show in the return.
- `include_metadata` (string, optional) — When set to **true**, the `canUpgrade` and `renewalStatus` properities are included the response and an array of `supportedCountries` property is added to the `billingAddress` information.
- `include_successor_plans` (string, optional) — When set to **true**, excludes successor information from the response.

## Response

### 200

Successful response.

- `billingAddress` (accountAddress, optional) — Contains information about an account address.
- `billingAddressIsCreditCardAddress` (string, optional) — When set to **true**, the credit card address information is the same as that returned as the billing address. If false, then the billing address is considered a billing contact address, and the credit card address can be different.
- `billingPlan` (accountBillingPlan, optional) — Contains information about an account billing plan.
- `creditCardInformation` (creditCardInformation, optional)
- `paymentProcessorInformation` (paymentProcessorInformation, optional)
- `referralInformation` (referralInformation, optional) — A complex type that contains the following information for entering referral and discount information. The following items are included in the referral information (all string content): enableSupport, includedSeats, saleDiscountPercent, saleDiscountAmount, saleDiscountFixedAmount, saleDiscountPeriods, saleDiscountSeatPriceOverride, planStartMonth, referralCode, referrerName, advertisementId, publisherId, shopperId, promoCode, groupMemberId, idType, and industry ###### Note: saleDiscountPercent, saleDiscountAmount, saleDiscountFixedAmount, saleDiscountPeriods, and saleDiscountSeatPriceOverride are reserved for DoucSign use only.
- `successorPlans` (list of billingPlan, optional)

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Types

### accountAddress

Contains information about an account address.

- `address1` (string, optional) — First Line of the address. Maximum length: 100 characters.
- `address2` (string, optional) — Second Line of the address. Maximum length: 100 characters.
- `city` (string, optional) — The city value of the address.
- `country` (string, optional) — Specifies the country associated with the address.
- `email` (string, optional)
- `fax` (string, optional)
- `firstName` (string, optional) — The user's first name. Maximum Length: 50 characters.
- `lastName` (string, optional) — The recipient's last name.
- `phone` (string, optional)
- `postalCode` (string, optional)
- `state` (string, optional) — The state or province associated with the address.
- `supportedCountries` (list of country, optional) — Contains an array of countries supported by the billing plan.

### accountBillingPlan

Contains information about an account billing plan.

- `addOns` (list of addOn, optional) — Reserved:
- `appStoreReceiptExpirationDate` (string, optional)
- `appStoreReceiptPurchaseDate` (string, optional)
- `canCancelRenewal` (string, optional) — Reserved: TBD
- `canUpgrade` (string, optional) — When set to **true**, specifies that you can upgrade the account through the API.
- `currencyCode` (string, optional) — Specifies the ISO currency code for the account.
- `enableSupport` (string, optional) — When set to **true**, then customer support is provided as part of the account plan.
- `includedSeats` (string, optional) — The number of seats (users) included.
- `incrementalSeats` (string, optional) — Reserved: TBD
- `isDowngrade` (string, optional)
- `notificationType` (string, optional)
- `otherDiscountPercent` (string, optional) — Any other percentage discount for the plan.
- `paymentCycle` (string, optional)
- `paymentMethod` (string, optional) — The payment method used with the plan. The possible values are: CreditCard, PurchaseOrder, Premium, or Freemium.
- `perSeatPrice` (string, optional)
- `planClassification` (string, optional) — Identifies the type of plan. Examples include Business, Corporate, Enterprise, Free.
- `planFeatureSets` (list of featureSet, optional) — A complex type that sets the feature sets for the account. It contains the following information (all string content): * currencyFeatureSetPrices - Contains the currencyCode and currencySymbol for the alternate currency values for envelopeFee, fixedFee, seatFee that are configured for this plan feature set. * envelopeFee - An incremental envelope cost for plans with envelope overages (when isEnabled=true). * featureSetId - A unique ID for the feature set. * fixedFee - A one-time fee associated with the plan (when isEnabled=true). * isActive - Specifies whether the feature set is actively set as part of the plan. * isEnabled - Specifies whether the feature set is actively enabled as part of the plan. * name - The name of the feature set. * seatFee - An incremental seat cost for seat-based plans (when isEnabled=true).
- `planId` (string, optional) — The DocuSign Plan ID for the account.
- `planName` (string, optional) — The name of the Billing Plan.
- `renewalStatus` (string, optional) — The renewal status for the account. The acceptable values are: * auto: The account automatically renews. * queued_for_close: Account will be closed at the billingPeriodEndDate. * queued_for_downgrade: Account will be downgraded at the billingPeriodEndDate.
- `seatDiscounts` (list of seatDiscount, optional) — A complex type that contains any seat discount information. Values are: BeginSeatCount, EndSeatCount, and SeatDiscountPercent.
- `supportIncidentFee` (string, optional) — The support incident fee charged for each support incident.
- `supportPlanFee` (string, optional) — The support plan fee charged for this plan.

### creditCardInformation

- `address` (addressInformation, optional) — Contains address information.
- `cardNumber` (string, optional) — The number on the credit card.
- `cardType` (string, optional) — The credit card type. Valid values are: visa, mastercard, or amex.
- `expirationMonth` (string, optional) — The month that the credit card expires (1-12).
- `expirationYear` (string, optional) — The year 4 digit year in which the credit card expires.
- `nameOnCard` (string, optional) — The exact name printed on the credit card.

### paymentProcessorInformation

- `address` (addressInformation, optional) — Contains address information.
- `billingAgreementId` (string, optional)
- `email` (string, optional)

### referralInformation

A complex type that contains the following information for entering referral and discount information. The following items are included in the referral information (all string content): enableSupport, includedSeats, saleDiscountPercent, saleDiscountAmount, saleDiscountFixedAmount, saleDiscountPeriods, saleDiscountSeatPriceOverride, planStartMonth, referralCode, referrerName, advertisementId, publisherId, shopperId, promoCode, groupMemberId, idType, and industry ###### Note: saleDiscountPercent, saleDiscountAmount, saleDiscountFixedAmount, saleDiscountPeriods, and saleDiscountSeatPriceOverride are reserved for DoucSign use only.

- `advertisementId` (string, optional) — A complex type that contains the following information for entering referral and discount information. The following items are included in the referral information (all string content): enableSupport, includedSeats, saleDiscountPercent, saleDiscountAmount, saleDiscountFixedAmount, saleDiscountPeriods, saleDiscountSeatPriceOverride, planStartMonth, referralCode, referrerName, advertisementId, publisherId, shopperId, promoCode, groupMemberId, idType, and industry. ###### Note: saleDiscountPercent, saleDiscountAmount, saleDiscountFixedAmount, saleDiscountPeriods, and saleDiscountSeatPriceOverride are reserved for DoucSign use only.
- `enableSupport` (string, optional) — When set to **true**, then customer support is provided as part of the account plan.
- `externalOrgId` (string, optional)
- `groupMemberId` (string, optional)
- `idType` (string, optional)
- `includedSeats` (string, optional) — The number of seats (users) included.
- `industry` (string, optional)
- `planStartMonth` (string, optional)
- `promoCode` (string, optional)
- `publisherId` (string, optional)
- `referralCode` (string, optional)
- `referrerName` (string, optional)
- `saleDiscountAmount` (string, optional) — Reserved for DocuSign use only.
- `saleDiscountFixedAmount` (string, optional) — Reserved for DocuSign use only.
- `saleDiscountPercent` (string, optional) — Reserved for DocuSign use only.
- `saleDiscountPeriods` (string, optional) — Reserved for DocuSign use only.
- `saleDiscountSeatPriceOverride` (string, optional) — Reserved for DocuSign use only.
- `shopperId` (string, optional)

### billingPlan

Contains information about a billing plan.

- `appStoreProducts` (list of appStoreProduct, optional) — Reserved: TBD
- `currencyPlanPrices` (list of currencyPlanPrice, optional) — Contains the currencyCode and currencySymbol for the alternate currency values for envelopeFee, fixedFee, and seatFee that are configured for this plan feature set.
- `enableSupport` (string, optional) — When set to **true**, then customer support is provided as part of the account plan.
- `includedSeats` (string, optional) — The number of seats (users) included.
- `otherDiscountPercent` (string, optional)
- `paymentCycle` (string, optional) — The payment cycle associated with the plan. The possible values are: Monthly or Annually.
- `paymentMethod` (string, optional)
- `perSeatPrice` (string, optional) — The per seat price for the plan.
- `planClassification` (string, optional) — Identifies the type of plan. Examples include Business, Corporate, Enterprise, Free.
- `planFeatureSets` (list of featureSet, optional) — A complex type that sets the feature sets for the account.
- `planId` (string, optional) — The DocuSign Plan ID for the account.
- `planName` (string, optional) — The name of the Billing Plan.
- `seatDiscounts` (list of seatDiscount, optional)
- `supportIncidentFee` (string, optional) — The support incident fee charged for each support incident.
- `supportPlanFee` (string, optional) — The support plan fee charged for this plan.

### country

- `isoCode` (string, optional)
- `name` (string, optional)
- `provinces` (list of province, optional)
- `provinceValidated` (string, optional)

### addOn

Contains information about add ons.

- `active` (string, optional) — Reserved:
- `addOnId` (string, optional) — Reserved:
- `id` (string, optional)
- `name` (string, optional) — Reserved:

### featureSet

- `currencyFeatureSetPrices` (list of currencyFeatureSetPrice, optional) — A complex type that contains alternate currency values that are configured for this plan feature set.
- `envelopeFee` (string, optional)
- `featureSetId` (string, optional) — A unique ID for the feature set.
- `fixedFee` (string, optional)
- `is21CFRPart11` (string, optional) — When set to **true**, indicates that this module is enabled on the account.
- `isActive` (string, optional)
- `isEnabled` (string, optional) — Specifies whether the feature set is actively enabled as part of the plan.
- `name` (string, optional)
- `seatFee` (string, optional) — An incremental seat cost for seat-based plans. Only valid when isEnabled for the feature set is set to true.

### seatDiscount

- `beginSeatCount` (string, optional) — Reserved: TBD
- `discountPercent` (string, optional)
- `endSeatCount` (string, optional) — Reserved: TBD

### addressInformation

Contains address information.

- `city` (string, optional) — The city associated with the address.
- `country` (string, optional) — Specifies the country associated with the address.
- `fax` (string, optional) — A Fax number associated with the address if one is available.
- `phone` (string, optional) — A phone number associated with the address.
- `state` (string, optional) — The state or province associated with the address.
- `street1` (string, optional) — The first line of the address.
- `street2` (string, optional) — The second line of the address (optional).
- `zip` (string, optional) — The zip or postal code associated with the address.
- `zipPlus4` (string, optional)

### appStoreProduct

Contains information about an APP store product.

- `marketPlace` (string, optional)
- `productId` (string, optional) — The Product ID from the AppStore.

### currencyPlanPrice

- `currencyCode` (string, optional) — Specifies the ISO currency code for the account.
- `currencySymbol` (string, optional) — Specifies the currency symbol for the account.
- `perSeatPrice` (string, optional)
- `supportedCardTypes` (creditCardTypes, optional)
- `supportIncidentFee` (string, optional) — The support incident fee charged for each support incident.
- `supportPlanFee` (string, optional) — The support plan fee charged for this plan.

### province

- `isoCode` (string, optional)
- `name` (string, optional)

### currencyFeatureSetPrice

- `currencyCode` (string, optional) — Specifies the alternate ISO currency code for the account.
- `currencySymbol` (string, optional) — Specifies the alternate currency symbol for the account.
- `envelopeFee` (string, optional) — An incremental envelope cost for plans with envelope overages (when `isEnabled` is set to **true**.)
- `fixedFee` (string, optional) — Specifies a one-time fee associated with the plan (when `isEnabled` is set to **true**.)
- `seatFee` (string, optional) — Specifies an incremental seat cost for seat-based plans (when `isEnabled` is set to **true**.)

### creditCardTypes

- `cardTypes` (list of string, optional) — An array containing supported credit card types.

## Examples

**Response**

```json
{
  "billingAddress": {
    "address1": "string",
    "address2": "string",
    "city": "string",
    "country": "string",
    "email": "string",
    "fax": "string",
    "firstName": "string",
    "lastName": "string",
    "phone": "string",
    "postalCode": "string",
    "state": "string",
    "supportedCountries": [
      {
        "isoCode": "string",
        "name": "string",
        "provinces": [
          {
            "isoCode": "string",
            "name": "string"
          }
        ],
        "provinceValidated": "string"
      }
    ]
  },
  "billingAddressIsCreditCardAddress": "string",
  "billingPlan": {
    "addOns": [
      {
        "active": "string",
        "addOnId": "string",
        "id": "string",
        "name": "string"
      }
    ],
    "appStoreReceiptExpirationDate": "string",
    "appStoreReceiptPurchaseDate": "string",
    "canCancelRenewal": "string",
    "canUpgrade": "string",
    "currencyCode": "string",
    "enableSupport": "string",
    "includedSeats": "string",
    "incrementalSeats": "string",
    "isDowngrade": "string",
    "notificationType": "string",
    "otherDiscountPercent": "string",
    "paymentCycle": "string",
    "paymentMethod": "string",
    "perSeatPrice": "string",
    "planClassification": "string",
    "planFeatureSets": [
      {
        "currencyFeatureSetPrices": [
          {
            "currencyCode": "string",
            "currencySymbol": "string",
            "envelopeFee": "string",
            "fixedFee": "string",
            "seatFee": "string"
          }
        ],
        "envelopeFee": "string",
        "featureSetId": "string",
        "fixedFee": "string",
        "is21CFRPart11": "string",
        "isActive": "string",
        "isEnabled": "string",
        "name": "string",
        "seatFee": "string"
      }
    ],
    "planId": "string",
    "planName": "string",
    "renewalStatus": "string",
    "seatDiscounts": [
      {
        "beginSeatCount": "string",
        "discountPercent": "string",
        "endSeatCount": "string"
      }
    ],
    "supportIncidentFee": "string",
    "supportPlanFee": "string"
  },
  "creditCardInformation": {
    "address": {
      "city": "string",
      "country": "string",
      "fax": "string",
      "phone": "string",
      "state": "string",
      "street1": "string",
      "street2": "string",
      "zip": "string",
      "zipPlus4": "string"
    },
    "cardNumber": "string",
    "cardType": "string",
    "expirationMonth": "string",
    "expirationYear": "string",
    "nameOnCard": "string"
  },
  "paymentProcessorInformation": {
    "address": {
      "city": "string",
      "country": "string",
      "fax": "string",
      "phone": "string",
      "state": "string",
      "street1": "string",
      "street2": "string",
      "zip": "string",
      "zipPlus4": "string"
    },
    "billingAgreementId": "string",
    "email": "string"
  },
  "referralInformation": {
    "advertisementId": "string",
    "enableSupport": "string",
    "externalOrgId": "string",
    "groupMemberId": "string",
    "idType": "string",
    "includedSeats": "string",
    "industry": "string",
    "planStartMonth": "string",
    "promoCode": "string",
    "publisherId": "string",
    "referralCode": "string",
    "referrerName": "string",
    "saleDiscountAmount": "string",
    "saleDiscountFixedAmount": "string",
    "saleDiscountPercent": "string",
    "saleDiscountPeriods": "string",
    "saleDiscountSeatPriceOverride": "string",
    "shopperId": "string"
  },
  "successorPlans": [
    {
      "appStoreProducts": [
        {
          "marketPlace": "string",
          "productId": "string"
        }
      ],
      "currencyPlanPrices": [
        {
          "currencyCode": "string",
          "currencySymbol": "string",
          "perSeatPrice": "string",
          "supportedCardTypes": {
            "cardTypes": [
              "string"
            ]
          },
          "supportIncidentFee": "string",
          "supportPlanFee": "string"
        }
      ],
      "enableSupport": "string",
      "includedSeats": "string",
      "otherDiscountPercent": "string",
      "paymentCycle": "string",
      "paymentMethod": "string",
      "perSeatPrice": "string",
      "planClassification": "string",
      "planFeatureSets": [
        {
          "currencyFeatureSetPrices": [
            {
              "currencyCode": "string",
              "currencySymbol": "string",
              "envelopeFee": "string",
              "fixedFee": "string",
              "seatFee": "string"
            }
          ],
          "envelopeFee": "string",
          "featureSetId": "string",
          "fixedFee": "string",
          "is21CFRPart11": "string",
          "isActive": "string",
          "isEnabled": "string",
          "name": "string",
          "seatFee": "string"
        }
      ],
      "planId": "string",
      "planName": "string",
      "seatDiscounts": [
        {
          "beginSeatCount": "string",
          "discountPercent": "string",
          "endSeatCount": "string"
        }
      ],
      "supportIncidentFee": "string",
      "supportPlanFee": "string"
    }
  ]
}
```